package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketType;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketTypeMapper")
public interface MarketTypeMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketType record);

    MarketType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketType record);

    List<MarketType> queryAllMarketType(MarketType record);

    List<MarketType> queryMarketTypeByPage(Map<String, Object> parameter);

    int delete(MarketType record);

    MarketType queryMarketType(MarketType record);

    List<MarketType> query(MarketType record);
}

